edu.sc.seis.sod.velocity

## Class WaveformProcessContext

- java.lang.Object
- - org.apache.velocity.context.AbstractContext
  - - org.apache.velocity.VelocityContext
    - - edu.sc.seis.sod.velocity.WaveformProcessContext

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.velocity.context.Context, org.apache.velocity.context.InternalEventContext

      public class WaveformProcessContext
      extends org.apache.velocity.VelocityContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformProcessContext(edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.velocity.app.event.EventCartridge` | `attachEventCartridge(org.apache.velocity.app.event.EventCartridge arg0)`
    `int` | `getCurrentMacroCallDepth()`
    `java.lang.String` | `getCurrentMacroName()`
    `org.apache.velocity.runtime.resource.Resource` | `getCurrentResource()`
    `java.lang.String` | `getCurrentTemplateName()`
    `org.apache.velocity.app.event.EventCartridge` | `getEventCartridge()`
    `java.util.List` | `getMacroLibraries()`
    `java.lang.Object[]` | `getMacroNameStack()`
    `java.lang.Object[]` | `getTemplateNameStack()`
    `org.apache.velocity.util.introspection.IntrospectionCacheData` | `icacheGet(java.lang.Object arg0)`
    `void` | `icachePut(java.lang.Object arg0, org.apache.velocity.util.introspection.IntrospectionCacheData arg1)`
    `void` | `popCurrentMacroName()`
    `void` | `popCurrentTemplateName()`
    `void` | `pushCurrentMacroName(java.lang.String arg0)`
    `void` | `pushCurrentTemplateName(java.lang.String arg0)`
    `void` | `setCurrentResource(org.apache.velocity.runtime.resource.Resource arg0)`
    `void` | `setMacroLibraries(java.util.List arg0)`

    - ### Methods inherited from class org.apache.velocity.VelocityContext

      `clone, internalContainsKey, internalGet, internalGetKeys, internalPut, internalRemove`

    - ### Methods inherited from class org.apache.velocity.context.AbstractContext

      `containsKey, get, getChainedContext, getKeys, put, remove`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaveformProcessContext

          public WaveformProcessContext(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                        edu.iris.Fissures.network.ChannelImpl channel,
                                        edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                        edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                        edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                        CookieJar cookieJar)

  - ### Method Detail

    - #### pushCurrentTemplateName

          public void pushCurrentTemplateName(java.lang.String arg0)

    - #### popCurrentTemplateName

          public void popCurrentTemplateName()

    - #### getCurrentTemplateName

          public java.lang.String getCurrentTemplateName()

    - #### getTemplateNameStack

          public java.lang.Object[] getTemplateNameStack()

    - #### pushCurrentMacroName

          public void pushCurrentMacroName(java.lang.String arg0)

    - #### popCurrentMacroName

          public void popCurrentMacroName()

    - #### getCurrentMacroName

          public java.lang.String getCurrentMacroName()

    - #### getCurrentMacroCallDepth

          public int getCurrentMacroCallDepth()

    - #### getMacroNameStack

          public java.lang.Object[] getMacroNameStack()

    - #### icacheGet

          public org.apache.velocity.util.introspection.IntrospectionCacheData icacheGet(java.lang.Object arg0)

    - #### icachePut

          public void icachePut(java.lang.Object arg0,
                                org.apache.velocity.util.introspection.IntrospectionCacheData arg1)

    - #### setCurrentResource

          public void setCurrentResource(org.apache.velocity.runtime.resource.Resource arg0)

    - #### getCurrentResource

          public org.apache.velocity.runtime.resource.Resource getCurrentResource()

    - #### setMacroLibraries

          public void setMacroLibraries(java.util.List arg0)

    - #### getMacroLibraries

          public java.util.List getMacroLibraries()

    - #### attachEventCartridge

          public org.apache.velocity.app.event.EventCartridge attachEventCartridge(org.apache.velocity.app.event.EventCartridge arg0)

      Specified by:
        `attachEventCartridge` in interface `org.apache.velocity.context.InternalEventContext`

    - #### getEventCartridge

          public org.apache.velocity.app.event.EventCartridge getEventCartridge()

      Specified by:
        `getEventCartridge` in interface `org.apache.velocity.context.InternalEventContext`